<?php
/**
 * @author Pascal MARTIN
 * 
 * Copyright (c) 2007 Pascal MARTIN
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

$iArticle = 0;
$matches = array();
$xmlString = file_get_contents('rss.xml')
    or die("Echec à l'ouverture du fichier RSS");
$dom = DOMDocument::loadXML($xmlString);
foreach ($dom->getElementsByTagName('item') as $item)
{
	$contenu = $item->getElementsByTagName('description')->item(0)->nodeValue;
	$contenu = preg_replace('/<code.*?>.*?<\/code>/uism', '', $contenu);
	$contenu = preg_replace('/<pre>.*?<\/pre>/uism', '', $contenu);
	$contenu = strip_tags($contenu);
	$contenu = html_entity_decode($contenu, ENT_NOQUOTES, 'UTF-8');
	$contenu = strtolower($contenu);
    preg_match_all('/[\w\'\xc0-\xfd-]{2,}/u', $contenu, $matches);
    file_put_contents('textes-articles/article-' . $iArticle . '.txt', implode("\n", array_unique($matches[0])));
    $iArticle++;
}
?>